Skip to content

Create Protected Package Delivery Grant

POST
/v1/packages/delivery/grants
curl --request POST \
--url 'https://example.com/v1/packages/delivery/grants?tenant_id=' \
--header 'Content-Type: application/json' \
--data '{}'
tenant_id
Tenant Id
string
""
X-FractalOps-Tenant-Id
Any of:
string
x-pomerium-jwt-assertion
Any of:
string
Media typeapplication/json
Body
object
key
additional properties
any
Examplegenerated
{}

Successful Response

Media typeapplication/json
PortalPackageDeliveryGrantOut
object
grant_id
Grant Id
string
""
status
Status
string
default: granted
bundle_id
Bundle Id
string
""
customer_slug
Customer Slug
string
""
grantee_subject
Grantee Subject
string
""
access_mode
Access Mode
string
default: download
key_grant_ref
Key Grant Ref
string
""
grant_materialization
Grant Materialization
object
key
additional properties
any
evidence_url
Evidence Url
string
""
Example
{
"grant_id": "",
"status": "granted",
"bundle_id": "",
"customer_slug": "",
"grantee_subject": "",
"access_mode": "download",
"key_grant_ref": "",
"evidence_url": ""
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}